<html>
<head>
    <title>List Unspent Transaction</title>
	<style>
	table, td{
		border-collapse: collapse;
		border: 1px solid;
	}
	</style>
	<script src="head.js"></script>
	<script>
	let walIdx = 0;
	let cluster = 0;
	let role = 0;
	
	async function loadJson(role, walIdx){	//disIdx
		let rsp01 = await fetch('http://35.161.83.70:' + role + '/operator/wallets/') ;
		let jR01 = await rsp01.json();
		console.log(jR01);
		
		
		let txTable = "<table>";
		txTable += "<tr><td>Role</td><td>http://35.161.83.70:<select id='roleSel' onchange='loadJson(this.value, 0)'>";
		for(let i = 0; i < 3; i++){
			txTable += "<option value='" + (cluster*1+i) + "'>" + (cluster*1+i) + "</option>";
		}
		txTable += "</select></td></tr>";
		
		// Select a Wallet
		txTable += "<tr><td>Wallet</td><td><select id='walletSel' onchange='loadJson(" + role + ",this.value)'>";
		jR01.forEach(function(wallet, index){
			txTable += "<option value='" + index + "'>" + wallet.id + "</option>";
		})
		txTable += "</select></td></tr>";
		
		// Select an Address
		txTable += "<tr><td>Read Addr</td><td><select id='txAddrSel' onchange='loadJson02(role, this.value)'>";
		jR01[walIdx].addresses.forEach(function(addr, index){
			txTable += "<option value='" + addr + "'>" + addr + "</option>";
		})
		txTable += "</select></td></tr>";
		// txTable += "<tr><td>Addr Balance</td><td><span id='addrBalance'/></td></tr>";
		txTable += "<tr><td>Unspent</td><td><div id='listUnspent'></div></td></tr>";
		txTable += "</table>";
		
		document.getElementById("showTx").innerHTML = txTable;
		
		//dropdown pre-select the current info
		document.getElementById("walletSel").getElementsByTagName('option')[walIdx].selected = "selected";
		document.getElementById("roleSel").getElementsByTagName('option')[role - cluster].selected = "selected";
		loadJson02(role, jR01[walIdx].addresses[0]);
	}
	//loadJson(role, walIdx);
	
	async function loadJson02(role, addrId){
		//document.getElementById("addrBalance").innerHTML = "";
		let rsp02 = await fetch('http://35.161.83.70:' + role + '/blockchain/transactions/unspent?address=' + addrId);
		let jR02 = await rsp02.json();
		console.log(jR02);
		let unspentTable = "";
		jR02.forEach(function(disTx){
			unspentTable += "<table><tr><td>Tx id</td><td>" + disTx.transaction + "</td></tr>";
			unspentTable += "<tr><td>Index</td><td>" + disTx.index + "</td></tr>";
			unspentTable += "<tr><td>Amount</td><td>" + disTx.amount + "</td></tr>";
			unspentTable += "<tr><td>Address</td><td>" + disTx.address + "</td></tr></table>";
		});
		
		document.getElementById("listUnspent").innerHTML = unspentTable;
	};
	
	</script>
</head>
<body onload="printPageHeader()">
	<div id="jsHeader">
		List Unspent Transactions
	</div>
	
	<br>
	<div id="showTx">
		table showing here...
	</div>
</body>
</html>